ED(1)

BEZEICHNUNG
ed - zeilenorientierter Texteditor

ÜBERSICHT
ed [Optionen] [Datei]

BESCHREIBUNG
GNU ed ist ein zeilenorientierter Texteditor. Er wird zum Erstellen, Anzeigen, Bearbeiten und anderweitigen Verändern von Textdateien verwendet, sowohl interaktiv als auch über Shell-Skripte. Eine eingeschränkte Version von ed namens red kann nur Dateien im aktuellen Verzeichnis bearbeiten und ist nicht in der Lage, Shell-Befehle auszuführen. Ed ist der »Standard«-Texteditor in dem Sinne, dass er der Original-Texteditor von Unix und daher weit verbreitet ist. Für die meisten Zwecke wurde er jedoch von Vollbild-Texteditoren wie GNU Emacs oder GNU Moe abgelöst.

OPTIONEN

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    gibt Versionsinformationen aus und beendet das Programm.

-G, --traditional
    aktiviert die Ausführung im Kompatibilitätsmodus.

-l, --loose-exit-status
    beendet das Programm selbst dann mit 0, wenn ein Befehl fehlschlägt.

-p, --prompt=ZEICHENKETTE
    verwendet die angegebene ZEICHENKETTE als interaktive Eingabeaufforderung.

-r, --restricted
    aktiviert die Ausführung im eingeschränkten Modus.

-s, --quiet, --silent
    unterdrückt Diagnosemeldungen, Byte-Zähler und die !-Eingabeaufforderung.

-v, --verbose
    gibt ausführliche Meldungen aus; ist gleichbedeutend mit dem Befehl H.

Die Bearbeitung beginnt durch Lesen in der Datei, sofern diese angegeben ist. Falls die Angabe der Datei mit ! beginnt, wird die Ausgabe des Shell-Befehls gelesen.

Exit-Status: 0 für normales Beenden, 1 für Probleme in der Umgebung (Datei nicht gefunden, ungültige Schalter, E/A-Fehler usw.), 2 bei einer beschädigten oder ungültigen Eingabedatei, 3 für einen internen Konsistenzfehler (zum Beispiel einen Bug), der in ed ein »panic« ausgelöst hat.

FEHLER MELDEN
Melden Sie Fehler an bug-ed@gnu.org.
Homepage von Ed: http://www.gnu.org/software/ed/ed.html
Allgemeine Hilfe zur Benutzung von GNU-Software: http://www.gnu.org/gethelp

COPYRIGHT
Copyright © 1994 Andrew L. Moore.
Copyright © 2019 Antonio Diaz Diaz. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für ed wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info und ed auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info ed

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.